> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a document

<Note>
  Customer id and Product id should be unique, if a new id is sent, a new
  Customer/Product with given details will be automatically created. For
  Product If an existing id is sent, the details will not override the
  original product details. They will be applicable only to the current
  document. For updating the product details, use the update product API
</Note>


## OpenAPI

````yaml post /v1/doc
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v1/doc:
    post:
      tags:
        - Document
      summary: Create a document
      operationId: post_invoice_resource
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BaseDocument'
            examples:
              basic:
                value:
                  document_type: invoice
                  document_date: 01-04-2024
                  customer:
                    id: cus123
                    name: Charan Cus
                  items:
                    - id: p123
                      name: Book
                      item_type: goods
                      quantity: 1
                      unit_price: 100
                      tax_rate: 18
                      price_with_tax: 118
                      net_amount: 100
                      total_amount: 118
              advanced:
                value:
                  document_type: invoice
                  document_date: 11-06-2024
                  customer:
                    id: CUST123
                    name: John Doe
                    country_code: '91'
                    phone_number: '1234567890'
                    email: johndoe@example.com
                  due_date: 11-06-2024
                  reference: Reference Text
                  notes: Notes for the document
                  terms: Terms and Conditions
                  items:
                    - id: ITEM123
                      name: Item Name
                      quantity: 10
                      unit_price: 100
                      tax_rate: 18
                      cess_rate: 10
                      price_with_tax: 128
                      tax_amount: 252
                      discount_percent: 10
                      discount_amount: 100
                      net_amount: 900
                      total_amount: 1152
                      description: Item Description
                      hsn_code: '1234'
                      item_type: goods
                      unit: kg
                      category: Electronics
                  extra_discount: 20
                  round_off: 0
                  payments:
                    - amount: 100
                      method: upi
                      notes: Payment notes
                  bank_details:
                    account_number: '1234567890'
                    bank_name: Example Bank
                    branch: Main Branch
                    ifsc: IFSC0001234
                  company_shipping_address:
                    address_line1: 123 Street
                    address_line2: Apt 4B
                    city: City Name
                    state: State Name
                    country: Country Name
                    pincode: '123456'
                  customer_shipping_address:
                    address_line1: 123 Street
                    address_line2: Apt 4B
                    city: City Name
                    state: State Name
                    country: Country Name
                    pincode: '123456'
              subscription:
                value:
                  document_type: subscription
                  document_date: 11-06-2024
                  customer:
                    id: CUST1
                    name: Charan
                    country_code: '91'
                    phone_number: '8768906785'
                    email: charanrockstar@gmail.com
                  due_date: 11-06-2024
                  reference: Example Subcsription for API's
                  notes: Example Note
                  terms: Terms and Conditions
                  items:
                    - id: ITEM123
                      name: Item Name
                      quantity: 10
                      unit_price: 100
                      tax_rate: 18
                      cess_rate: 10
                      price_with_tax: 128
                      tax_amount: 252
                      discount_percent: 10
                      discount_amount: 100
                      net_amount: 900
                      total_amount: 1152
                      description: Item Description
                      hsn_code: '1234'
                      item_type: goods
                      unit: kg
                      category: Electronics
                  extra_discount: 20
                  round_off: 0
                  bank_details:
                    account_number: '1234567890'
                    bank_name: Example Bank
                    branch: Main Branch
                    ifsc: IFSC0001234
                  company_shipping_address:
                    address_line1: 123 Street
                    address_line2: Apt 4B
                    city: City Name
                    state: State Name
                    country: Country Name
                    pincode: '123456'
                  customer_shipping_address:
                    address_line1: C/o Swipe
                    address_line2: Red Steert 40
                    city: Kansar
                    state: Kansar
                    country: India
                    pincode: '000007'
                  is_subscription: true
                  subscription_details:
                    start_time: 13-06-2024
                    end_time: 14-07-2024
                    repeat: 1
                    repeat_type: days
                    send_email: true
                    send_sms: true
              e-invoice:
                value:
                  document_type: invoice
                  document_date: 11-06-2024
                  customer:
                    id: '236'
                    name: Vasu
                    country_code: '91'
                    phone_number: '1234567890'
                    email: johndoe@example.com
                    company_name: Vason Company
                    gstin: 36ACZPT7516P1ZA
                  due_date: 11-06-2024
                  reference: Reference Text
                  notes: Notes for the document
                  terms: Terms and Conditions
                  items:
                    - id: ac_1.56
                      name: Ac 1.56 Ton 5 Star
                      quantity: 1
                      unit_price: 100
                      tax_rate: 18
                      price_with_tax: 118
                      tax_amount: 16.2
                      discount_percent: 10
                      discount_amount: 10
                      net_amount: 90
                      total_amount: 106.2
                      description: Item Description
                      hsn_code: '04022910'
                      item_type: Product
                      unit: kg
                      category: Electronics
                  extra_discount: 20
                  round_off: true
                  payments:
                    - amount: 100
                      method: upi
                      notes: Payment notes
                  bank_details:
                    account_number: '1234567890'
                    bank_name: Example Bank
                    branch: Main Branch
                    ifsc: IFSC0001234
                  company_shipping_address:
                    address_line1: 123 Street
                    address_line2: ''
                    city: Banglore
                    state: KARNATAKA
                    country: India
                    pincode: '560001'
                  customer_shipping_address:
                    address_line1: 5-11, vema street
                    address_line2: ''
                    city: Hyderabad South East
                    state: TELANGANA
                    country: India
                    pincode: '500030'
                  customer_billing_address:
                    address_line1: 5-11, vema street
                    address_line2: ''
                    city: Hyderabad
                    state: TELANGANA
                    country: India
                    pincode: '500032'
                  einvoice: true
                  is_export: true
                  export_invoice_details:
                    shipping_bill_date: 27-08-2024
                    shipping_bill_number: ''
                    shipping_port_code: ''
                    export_type: SEZ without IGST Payment
                    conversion_factor: 1
                    country_id: India
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BaseDocument:
      required:
        - document_date
        - document_type
        - items
      type: object
      properties:
        serial_number:
          type: string
          description: >-
            Serial Number, if not sent will be auto generated based on the
            default prefix.
          example: INV123
        document_type:
          type: string
          description: Value should always be the string 'invoice'
          example: invoice
          enum:
            - invoice
            - subscription
            - pro_forma_invoice
            - estimate
            - sales_return
            - purchase_return
        document_date:
          type: string
          description: >-
            DD-MM-YYYY, Invoice date (Ex: 11-06-2024 Need not to the current
            date)
          example: 11-06-2024
        customer:
          type: object
          description: >-
            Customer (deprecated, please use Party). If there are any changes
            made to the customer's details, we will update those details and any
            documents linked to this customer's ID will be updated to reflect
            the changes.
          allOf:
            - $ref: '#/components/schemas/Customer'
        party:
          type: object
          description: >-
            Party. If there are any changes made to the party details, we will
            update those details and any documents linked to this party ID will
            be updated to reflect the changes.
          allOf:
            - $ref: '#/components/schemas/Party'
        due_date:
          type: string
          description: 'DD-MM-YYYY, Payment Due date for the invoice (Ex: 11-06-2024)'
          example: 11-06-2024
        reference:
          type: string
          description: Any references you want to add to the doc
          example: Reference Text
        notes:
          type: string
          description: Notes to show in invoice
          example: Notes for the document
        terms:
          type: string
          description: Terms to show in invoice
          example: Terms and Conditions
        items:
          type: array
          description: Array of Products/Services, refer Item Object below for parameters
          items:
            $ref: '#/components/schemas/DocItem'
        extra_discount:
          type: number
          description: Adjustment on overall invoice, doesn’t effect any tax amounts.
          example: 20
        round_off:
          type: boolean
          description: Should Round Off total amount
          example: true
          default: false
        payments:
          type: array
          description: Array of Payments, refer Payment Object for parameters
          items:
            $ref: '#/components/schemas/Payment'
        bank_details:
          type: object
          description: >-
            Bank Details, refer Bank Details Object below for parameters, If
            account_number, ifsc matched with existing bank details, it will be
            used, else new bank details will be added to your swipe account
          allOf:
            - $ref: '#/components/schemas/BankDetails'
        tds_id:
          type: integer
          description: >-
            You can check the tds id and details mapping from
            https://developers.getswipe.in/api-reference/references#tds-tax-deducted-at-source
        tcs_id:
          type: integer
          description: >-
            You can copy the tcs id and details mapping from
            https://developers.getswipe.in/api-reference/references#tcs-tax-collected-at-source
        company_shipping_address:
          type: object
          description: >-
            Company shipping from Address, refer Shipping Address Object for
            parameters
          allOf:
            - $ref: '#/components/schemas/ShippingAddress'
        customer_shipping_address:
          type: object
          description: >-
            Customer shipping to Address, refer Shipping Address Object for
            parameters
          allOf:
            - $ref: '#/components/schemas/ShippingAddress'
        customer_billing_address:
          type: object
          description: >-
            Customer billing to Address, refer Shipping Address Object for
            parameters
          allOf:
            - $ref: '#/components/schemas/ShippingAddress'
        is_subscription:
          type: boolean
          description: Is Subscription
          example: false
        subscription_details:
          type: object
          description: Subscription Details
          allOf:
            - $ref: '#/components/schemas/Subscription'
        einvoice:
          type: boolean
          description: Generate einvoice
          example: false
        is_export:
          type: boolean
          description: Is Export
          example: false
        export_invoice_details:
          type: object
          description: Export Invoice Details
          allOf:
            - $ref: '#/components/schemas/ExportInvoiceDetails'
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: true
        message:
          type: string
          description: Message
          example: Document created successfully
        serialNumber:
          type: string
          description: Serial Number
          example: SL123
        hashId:
          type: string
          description: Hash ID
          example: SL123
        irn:
          type: string
          description: IRN
          example: SL123
        qrCode:
          type: string
          description: QR Code
          example: ''
        einvoiceSuccess:
          type: boolean
          description: EInvoice Success
          example: true
        einvoiceMessage:
          type: string
          description: EInvoice Message
          example: 'true'
    Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
          default: false
        error_code:
          type: string
          description: >-
            Error Code unique for a specific error. For e-invoice portal errors,
            error_code will be PORTAL_ERROR_[einvoice_portal_errorcode] ex:
            PORTAL_ERROR_2247, we can refer description for error code from here
            https://einv-apisandbox.nic.in/api-error-codes-list.html
          example: INVALID_HASH_ID
        message:
          type: string
          description: Error message
          example: Some error occurred
        errors:
          type: object
          properties: {}
          description: Error details
    Customer:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique id for each customer. If a new id  is sent, a new Customer
            with the below details will be automatically created.
          example: CUST123
        name:
          type: string
          description: Name of the Customer
          example: John Doe
        country_code:
          type: string
          description: Customer Phone Number Country code
          example: '91'
        phone_number:
          type: string
          description: Customer Phone Number
          example: '1234567890'
        email:
          type: string
          description: Customer Email
          example: johndoe@example.com
    Party:
      required:
        - id
        - name
        - type
      type: object
      properties:
        id:
          type: string
          description: Unique id for each party.
          example: CUST123
        type:
          type: string
          description: |-
            Party type, use only specified values.
                                       Party type customer can be used for creating invoices, sales returns, estimates, pro forma invoices and delivery challans.
                                       Party type vendor can be used for creating purchases, purchase orders & purchase returns, .
                                       
          example: customer
          enum:
            - customer
            - vendor
        name:
          type: string
          description: Name of the Party
          example: John Doe
        country_code:
          type: string
          description: Party Phone Number Country code
          example: '91'
        phone_number:
          type: string
          description: Party Phone Number
          example: '1234567890'
        company_name:
          type: string
          description: Company Name
          example: Company Name
        email:
          type: string
          description: Party Email
          example: johndoe@example.com
        gstin:
          type: string
          description: GSTIN
          example: 27AARCS7202C1ZD
        shipping_address:
          type: object
          description: >-
            Party shipping to Address, refer Shipping Address Object for
            parameters
          allOf:
            - $ref: '#/components/schemas/ShippingAddressV2'
        billing_address:
          type: object
          description: >-
            Party billing to Address, refer Shipping Address Object for
            parameters
          allOf:
            - $ref: '#/components/schemas/ShippingAddressV2'
    DocItem:
      required:
        - id
        - item_type
        - name
        - net_amount
        - price_with_tax
        - quantity
        - total_amount
        - unit_price
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique id for each item. If a new id  is sent, a new Item with the
            below details will be automatically created. if existing Item id is
            sent the details will not override the original item details. They
            will be applicable only to the current documents. Use update item to
            actually update the item details in swipe
          example: ITEM123
        name:
          type: string
          description: Name of the Product
          example: Item Name
        quantity:
          type: number
          description: Quantity
          example: 1
        unit_price:
          type: number
          description: Price per item without Tax
          example: 100
        tax_rate:
          type: number
          description: Tax percentage for each item . Only valid tax rates are accepted
          example: 18
        price_with_tax:
          type: number
          description: Price per item with Tax
          example: 118
        net_amount:
          type: number
          description: Net Amount
          example: 100
        total_amount:
          type: number
          description: Item total amount (Net Amount + Tax)
          example: 118
        discount_percent:
          type: number
          description: Discount Percent
          example: 10
        discount_amount:
          type: number
          description: Discount Amount, will be ignored if discount_percent is provided
          example: 10
        description:
          type: string
          description: Item Description
          example: Item Description
        hsn_code:
          type: string
          description: HSN Code
          example: '1234'
        item_type:
          type: string
          description: Product or Service enum
          example: Product
          enum:
            - Product
            - Service
        unit:
          type: string
          description: >-
            Item quantity unit. You can find the GST-approved units in the UQC
            Codes section at: https://einvoice1.gst.gov.in/Others/MasterCodes.
          example: kg
        category:
          type: string
          description: Category
          example: Electronics
    Payment:
      required:
        - amount
        - method
      type: object
      properties:
        amount:
          type: number
          description: Payment Amount
          example: 100
        method:
          type: string
          description: Payment method, use only specified values
          example: upi
          enum:
            - cash
            - card
            - upi
            - netBanking
            - cheque
            - emi
        notes:
          type: string
          description: Any internal notes for payment
          example: Payment notes
    BankDetails:
      required:
        - account_number
        - bank_name
        - branch
        - ifsc
      type: object
      properties:
        account_number:
          type: string
          description: Account Number
          example: '1234567890'
        ifsc:
          type: string
          description: IFSC Code
          example: SBIN0000001
        bank_name:
          type: string
          description: Bank Name
          example: State Bank of India
        branch:
          type: string
          description: Branch
          example: Mumbai
    ShippingAddress:
      required:
        - address_line1
        - address_line2
        - city
        - country
        - pincode
        - state
      type: object
      properties:
        address_line1:
          type: string
          description: Address Line 1
          example: 123 Street
        address_line2:
          type: string
          description: Address Line 2
          example: Apt 4B
        city:
          type: string
          description: City
          example: City Name
        state:
          type: string
          description: >-
            State. You can copy the state details from
            https://developers.getswipe.in/api-reference/references#state-details
          example: State Name
          enum:
            - JAMMU AND KASHMIR
            - HIMACHAL PRADESH
            - PUNJAB
            - CHANDIGARH
            - UTTARAKHAND
            - HARYANA
            - DELHI
            - RAJASTHAN
            - UTTAR PRADESH
            - BIHAR
            - SIKKIM
            - ARUNACHAL PRADESH
            - NAGALAND
            - MANIPUR
            - MIZORAM
            - TRIPURA
            - MEGHALAYA
            - ASSAM
            - WEST BENGAL
            - JHARKHAND
            - ODISHA
            - CHHATTISGARH
            - MADHYA PRADESH
            - GUJARAT
            - DADRA & NAGAR HAVELI & DAMAN & DIU
            - MAHARASHTRA
            - ANDHRAPRADESH(BEFOREADDED)
            - KARNATAKA
            - GOA
            - LAKSHWADEEP
            - KERALA
            - TAMIL NADU
            - PUDUCHERRY
            - ANDAMAN & NICOBAR
            - TELANGANA
            - ANDHRA PRADESH
            - LADAKH(NEWLYADDED)
            - OTHER TERRITORY
        country:
          type: string
          description: >-
            Country. You can copy the country details from
            https://developers.getswipe.in/api-reference/references#country-array
          example: Country Name
        pincode:
          type: string
          description: Pincode
          example: '123456'
    Subscription:
      type: object
      properties:
        start_time:
          type: string
          description: Start Time [DD-MM-YYYY]
          format: date
          example: '1919-08-17T00:00:00.000Z'
        end_time:
          type: string
          description: End Time [DD-MM-YYYY]
          format: date
          example: '1919-08-18T00:00:00.000Z'
        repeat:
          type: integer
          description: 'Repeat in value, Frequency of the repetition '
          example: 1
        repeat_type:
          type: string
          description: Repeat type, Entity of the repetition
          example: days
          enum:
            - days
            - weeks
            - months
            - years
        send_email:
          type: boolean
        send_sms:
          type: boolean
        send_wtsp:
          type: boolean
    ExportInvoiceDetails:
      required:
        - conversion_factor
        - export_type
      type: object
      properties:
        shipping_bill_date:
          type: string
        shipping_bill_number:
          type: string
        shipping_port_code:
          type: string
        export_type:
          type: string
          description: Export Type
          example: With Payment of Tax
          enum:
            - Export under bond/LUT
            - Export with IGST
            - SEZ with IGST Payment
            - SEZ without IGST Payment
            - Deemed Export
        conversion_factor:
          type: number
        country_id:
          type: string
          description: Country ID
          example: Afghanistan
          enum:
            - Afghanistan
            - Albania
            - Algeria
            - Andorra
            - Angola
            - Antigua and Barbuda
            - Argentina
            - Armenia
            - Australia
            - Austria
            - Azerbaijan
            - Bahamas
            - Bahrain
            - Bangladesh
            - Barbados
            - Belarus
            - Belgium
            - Belize
            - Benin
            - Bhutan
            - Bolivia
            - Bosnia and Herzegovina
            - Botswana
            - Brazil
            - Brunei
            - Bulgaria
            - Burkina Faso
            - Burundi
            - Cabo Verde
            - Cambodia
            - Cameroon
            - Canada
            - Central African Republic
            - Chad
            - Chile
            - China
            - Colombia
            - Comoros
            - Congo, Democratic Republic of the
            - Congo, Republic of the
            - Costa Rica
            - Croatia
            - Cuba
            - Cyprus
            - Czechia
            - Denmark
            - Djibouti
            - Dominica
            - Dominican Republic
            - Ecuador
            - Egypt
            - El Salvador
            - Equatorial Guinea
            - Eritrea
            - Estonia
            - Eswatini
            - Ethiopia
            - Fiji
            - Finland
            - France
            - Gabon
            - Gambia
            - Georgia
            - Germany
            - Ghana
            - Greece
            - Grenada
            - Guatemala
            - Guinea
            - Guinea-Bissau
            - Guyana
            - Haiti
            - Honduras
            - Hungary
            - Iceland
            - India
            - Indonesia
            - Iran
            - Iraq
            - Ireland
            - Israel
            - Italy
            - Jamaica
            - Japan
            - Jordan
            - Kazakhstan
            - Kenya
            - Kiribati
            - Korea, North
            - Korea, South
            - Kosovo
            - Kuwait
            - Kyrgyzstan
            - Laos
            - Latvia
            - Lebanon
            - Lesotho
            - Liberia
            - Libya
            - Liechtenstein
            - Lithuania
            - Luxembourg
            - Madagascar
            - Malawi
            - Malaysia
            - Maldives
            - Mali
            - Malta
            - Marshall Islands
            - Mauritania
            - Mauritius
            - Mexico
            - Micronesia
            - Moldova
            - Monaco
            - Mongolia
            - Montenegro
            - Morocco
            - Mozambique
            - Myanmar
            - Namibia
            - Nauru
            - Nepal
            - Netherlands
            - New Zealand
            - Nicaragua
            - Niger
            - Nigeria
            - North Macedonia
            - Norway
            - Oman
            - Pakistan
            - Palau
            - Palestine
            - Panama
            - Papua New Guinea
            - Paraguay
            - Peru
            - Philippines
            - Poland
            - Portugal
            - Qatar
            - Romania
            - Russia
            - Rwanda
            - Saint Kitts and Nevis
            - Saint Lucia
            - Saint Vincent and the Grenadines
            - Samoa
            - San Marino
            - Sao Tome and Principe
            - Saudi Arabia
            - Senegal
            - Serbia
            - Seychelles
            - Sierra Leone
            - Singapore
            - Slovakia
            - Slovenia
            - Solomon Islands
            - Somalia
            - South Africa
            - South Sudan
            - Spain
            - Sri Lanka
            - Sudan
            - Suriname
            - Sweden
            - Switzerland
            - Syria
            - Taiwan
            - Tajikistan
            - Tanzania
            - Thailand
            - Timor-Leste
            - Togo
            - Tonga
            - Trinidad and Tobago
            - Tunisia
            - Turkey
            - Turkmenistan
            - Tuvalu
            - Uganda
            - Ukraine
            - United Arab Emirates
            - United Kingdom
            - United States
            - Uruguay
            - Uzbekistan
            - Vanuatu
            - Vatican City
            - Venezuela
            - Vietnam
            - Yemen
            - Zambia
            - Zimbabwe
    ShippingAddressV2:
      required:
        - address_line1
        - address_line2
        - city
        - country
        - pincode
        - state
      type: object
      properties:
        addr_id:
          type: integer
          description: >-
            Address ID. Value should be n >= 0 and n <= 999999, It will
            automatically update the existing address if the address ID already
            exists.
                                              
          example: -1
        addr_id_v2:
          type: string
          description: >-
            Address ID. It must be alphanumeric, not empty, and up to 16
            characters long.
          example: addr1
        address_line1:
          type: string
          description: Address Line 1
          example: 123 Street
        address_line2:
          type: string
          description: Address Line 2
          example: Apt 4B
        city:
          type: string
          description: City
          example: City Name
        state:
          type: string
          description: |-
            State.
                                           Select OTHER TERRITORY for countries other than India.
                                           You can copy the state details from https://developers.getswipe.in/api-reference/references#state-details
                                           
          example: State Name
          enum:
            - JAMMU AND KASHMIR
            - HIMACHAL PRADESH
            - PUNJAB
            - CHANDIGARH
            - UTTARAKHAND
            - HARYANA
            - DELHI
            - RAJASTHAN
            - UTTAR PRADESH
            - BIHAR
            - SIKKIM
            - ARUNACHAL PRADESH
            - NAGALAND
            - MANIPUR
            - MIZORAM
            - TRIPURA
            - MEGHALAYA
            - ASSAM
            - WEST BENGAL
            - JHARKHAND
            - ODISHA
            - CHHATTISGARH
            - MADHYA PRADESH
            - GUJARAT
            - DADRA & NAGAR HAVELI & DAMAN & DIU
            - MAHARASHTRA
            - ANDHRAPRADESH(BEFOREADDED)
            - KARNATAKA
            - GOA
            - LAKSHWADEEP
            - KERALA
            - TAMIL NADU
            - PUDUCHERRY
            - ANDAMAN & NICOBAR
            - TELANGANA
            - ANDHRA PRADESH
            - LADAKH(NEWLYADDED)
            - OTHER TERRITORY
        country:
          type: string
          description: >-
            Country. You can copy the country details from
            https://developers.getswipe.in/api-reference/references#country-array
          example: Country Name
          enum:
            - Afghanistan
            - Albania
            - Algeria
            - Andorra
            - Angola
            - Antigua and Barbuda
            - Argentina
            - Armenia
            - Australia
            - Austria
            - Azerbaijan
            - Bahamas
            - Bahrain
            - Bangladesh
            - Barbados
            - Belarus
            - Belgium
            - Belize
            - Benin
            - Bhutan
            - Bolivia
            - Bosnia and Herzegovina
            - Botswana
            - Brazil
            - Brunei
            - Bulgaria
            - Burkina Faso
            - Burundi
            - Cabo Verde
            - Cambodia
            - Cameroon
            - Canada
            - Central African Republic
            - Chad
            - Chile
            - China
            - Colombia
            - Comoros
            - Congo, Democratic Republic of the
            - Congo, Republic of the
            - Costa Rica
            - Croatia
            - Cuba
            - Cyprus
            - Czechia
            - Denmark
            - Djibouti
            - Dominica
            - Dominican Republic
            - Ecuador
            - Egypt
            - El Salvador
            - Equatorial Guinea
            - Eritrea
            - Estonia
            - Eswatini
            - Ethiopia
            - Fiji
            - Finland
            - France
            - Gabon
            - Gambia
            - Georgia
            - Germany
            - Ghana
            - Greece
            - Grenada
            - Guatemala
            - Guinea
            - Guinea-Bissau
            - Guyana
            - Haiti
            - Honduras
            - Hungary
            - Iceland
            - India
            - Indonesia
            - Iran
            - Iraq
            - Ireland
            - Israel
            - Italy
            - Jamaica
            - Japan
            - Jordan
            - Kazakhstan
            - Kenya
            - Kiribati
            - Korea, North
            - Korea, South
            - Kosovo
            - Kuwait
            - Kyrgyzstan
            - Laos
            - Latvia
            - Lebanon
            - Lesotho
            - Liberia
            - Libya
            - Liechtenstein
            - Lithuania
            - Luxembourg
            - Madagascar
            - Malawi
            - Malaysia
            - Maldives
            - Mali
            - Malta
            - Marshall Islands
            - Mauritania
            - Mauritius
            - Mexico
            - Micronesia
            - Moldova
            - Monaco
            - Mongolia
            - Montenegro
            - Morocco
            - Mozambique
            - Myanmar
            - Namibia
            - Nauru
            - Nepal
            - Netherlands
            - New Zealand
            - Nicaragua
            - Niger
            - Nigeria
            - North Macedonia
            - Norway
            - Oman
            - Pakistan
            - Palau
            - Palestine
            - Panama
            - Papua New Guinea
            - Paraguay
            - Peru
            - Philippines
            - Poland
            - Portugal
            - Qatar
            - Romania
            - Russia
            - Rwanda
            - Saint Kitts and Nevis
            - Saint Lucia
            - Saint Vincent and the Grenadines
            - Samoa
            - San Marino
            - Sao Tome and Principe
            - Saudi Arabia
            - Senegal
            - Serbia
            - Seychelles
            - Sierra Leone
            - Singapore
            - Slovakia
            - Slovenia
            - Solomon Islands
            - Somalia
            - South Africa
            - South Sudan
            - Spain
            - Sri Lanka
            - Sudan
            - Suriname
            - Sweden
            - Switzerland
            - Syria
            - Taiwan
            - Tajikistan
            - Tanzania
            - Thailand
            - Timor-Leste
            - Togo
            - Tonga
            - Trinidad and Tobago
            - Tunisia
            - Turkey
            - Turkmenistan
            - Tuvalu
            - Uganda
            - Ukraine
            - United Arab Emirates
            - United Kingdom
            - United States
            - Uruguay
            - Uzbekistan
            - Vanuatu
            - Vatican City
            - Venezuela
            - Vietnam
            - Yemen
            - Zambia
            - Zimbabwe
        pincode:
          type: string
          description: Pincode
          example: '123456'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````